SPDX-License-Identifier: CC-BY-SA-4.0 OR BSD-2-Clause
build-type: group
copyrights:
- Copyright (C) 2020 embedded brains GmbH (http://www.embedded-brains.de)
enabled-by:
- BUILD_TESTS
- BUILD_SPTESTS
includes:
- testsuites/support/include
install: []
ldflags:
- -Wl,--wrap=printf
- -Wl,--wrap=puts
- -Wl,--wrap=putchar
links:
- role: build-dependency
  uid: libsplinkersets01
- role: build-dependency
  uid: sp01
- role: build-dependency
  uid: sp02
- role: build-dependency
  uid: sp03
- role: build-dependency
  uid: sp04
- role: build-dependency
  uid: sp05
- role: build-dependency
  uid: sp06
- role: build-dependency
  uid: sp07
- role: build-dependency
  uid: sp08
- role: build-dependency
  uid: sp11
- role: build-dependency
  uid: sp12
- role: build-dependency
  uid: sp13
- role: build-dependency
  uid: sp14
- role: build-dependency
  uid: sp15
- role: build-dependency
  uid: sp16
- role: build-dependency
  uid: sp17
- role: build-dependency
  uid: sp18
- role: build-dependency
  uid: sp19
- role: build-dependency
  uid: sp20
- role: build-dependency
  uid: sp2038
- role: build-dependency
  uid: sp21
- role: build-dependency
  uid: sp22
- role: build-dependency
  uid: sp23
- role: build-dependency
  uid: sp24
- role: build-dependency
  uid: sp25
- role: build-dependency
  uid: sp26
- role: build-dependency
  uid: sp27
- role: build-dependency
  uid: sp27a
- role: build-dependency
  uid: sp29
- role: build-dependency
  uid: sp30
- role: build-dependency
  uid: sp31
- role: build-dependency
  uid: sp32
- role: build-dependency
  uid: sp33
- role: build-dependency
  uid: sp34
- role: build-dependency
  uid: sp35
- role: build-dependency
  uid: sp37
- role: build-dependency
  uid: sp38
- role: build-dependency
  uid: sp40
- role: build-dependency
  uid: sp41
- role: build-dependency
  uid: sp42
- role: build-dependency
  uid: sp43
- role: build-dependency
  uid: sp44
- role: build-dependency
  uid: sp45
- role: build-dependency
  uid: sp46
- role: build-dependency
  uid: sp47
- role: build-dependency
  uid: sp48
- role: build-dependency
  uid: sp49
- role: build-dependency
  uid: sp50
- role: build-dependency
  uid: sp51
- role: build-dependency
  uid: sp52
- role: build-dependency
  uid: sp53
- role: build-dependency
  uid: sp54
- role: build-dependency
  uid: sp55
- role: build-dependency
  uid: sp56
- role: build-dependency
  uid: sp57
- role: build-dependency
  uid: sp58
- role: build-dependency
  uid: sp59
- role: build-dependency
  uid: sp60
- role: build-dependency
  uid: sp62
- role: build-dependency
  uid: sp63
- role: build-dependency
  uid: sp64
- role: build-dependency
  uid: sp65
- role: build-dependency
  uid: sp66
- role: build-dependency
  uid: sp67
- role: build-dependency
  uid: sp68
- role: build-dependency
  uid: sp69
- role: build-dependency
  uid: sp70
- role: build-dependency
  uid: sp71
- role: build-dependency
  uid: sp72
- role: build-dependency
  uid: sp73
- role: build-dependency
  uid: sp74
- role: build-dependency
  uid: sp75
- role: build-dependency
  uid: sp76
- role: build-dependency
  uid: sp77
- role: build-dependency
  uid: spassoc01
- role: build-dependency
  uid: spatomic01
- role: build-dependency
  uid: spcache01
- role: build-dependency
  uid: spcbssched01
- role: build-dependency
  uid: spcbssched02
- role: build-dependency
  uid: spcbssched03
- role: build-dependency
  uid: spchain
- role: build-dependency
  uid: spclockerr01
- role: build-dependency
  uid: spclockerr02
- role: build-dependency
  uid: spclocktodhook01
- role: build-dependency
  uid: spconfig01
- role: build-dependency
  uid: spconfig02
- role: build-dependency
  uid: spconsole01
- role: build-dependency
  uid: spcontext01
- role: build-dependency
  uid: spcpucounter01
- role: build-dependency
  uid: spcpuset01
- role: build-dependency
  uid: spcxx01
- role: build-dependency
  uid: spedfsched01
- role: build-dependency
  uid: spedfsched02
- role: build-dependency
  uid: spedfsched03
- role: build-dependency
  uid: spedfsched04
- role: build-dependency
  uid: sperror01
- role: build-dependency
  uid: sperror02
- role: build-dependency
  uid: sperror03
- role: build-dependency
  uid: speventerr03
- role: build-dependency
  uid: speventsystem01
- role: build-dependency
  uid: speventtransient01
- role: build-dependency
  uid: spextensions01
- role: build-dependency
  uid: spfatal01
- role: build-dependency
  uid: spfatal03
- role: build-dependency
  uid: spfatal04
- role: build-dependency
  uid: spfatal05
- role: build-dependency
  uid: spfatal09
- role: build-dependency
  uid: spfatal10
- role: build-dependency
  uid: spfatal11
- role: build-dependency
  uid: spfatal12
- role: build-dependency
  uid: spfatal14
- role: build-dependency
  uid: spfatal15
- role: build-dependency
  uid: spfatal26
- role: build-dependency
  uid: spfatal28
- role: build-dependency
  uid: spfatal29
- role: build-dependency
  uid: spfatal30
- role: build-dependency
  uid: spfatal31
- role: build-dependency
  uid: spfatal32
- role: build-dependency
  uid: spfatal33
- role: build-dependency
  uid: spfatal34
- role: build-dependency
  uid: spfatal35
- role: build-dependency
  uid: spfifo01
- role: build-dependency
  uid: spfifo02
- role: build-dependency
  uid: spfifo03
- role: build-dependency
  uid: spfifo04
- role: build-dependency
  uid: spfifo05
- role: build-dependency
  uid: spfreechain01
- role: build-dependency
  uid: spglobalcon01
- role: build-dependency
  uid: spglobalcon02
- role: build-dependency
  uid: spheapprot
- role: build-dependency
  uid: spinternalerror01
- role: build-dependency
  uid: spinternalerror02
- role: build-dependency
  uid: spintrcritical01
- role: build-dependency
  uid: spintrcritical02
- role: build-dependency
  uid: spintrcritical03
- role: build-dependency
  uid: spintrcritical04
- role: build-dependency
  uid: spintrcritical05
- role: build-dependency
  uid: spintrcritical08
- role: build-dependency
  uid: spintrcritical09
- role: build-dependency
  uid: spintrcritical10
- role: build-dependency
  uid: spintrcritical11
- role: build-dependency
  uid: spintrcritical12
- role: build-dependency
  uid: spintrcritical13
- role: build-dependency
  uid: spintrcritical14
- role: build-dependency
  uid: spintrcritical15
- role: build-dependency
  uid: spintrcritical16
- role: build-dependency
  uid: spintrcritical18
- role: build-dependency
  uid: spintrcritical20
- role: build-dependency
  uid: spintrcritical21
- role: build-dependency
  uid: spintrcritical22
- role: build-dependency
  uid: spintrcritical23
- role: build-dependency
  uid: spintrcritical24
- role: build-dependency
  uid: spintrerr01
- role: build-dependency
  uid: splinkersets01
- role: build-dependency
  uid: spmisc01
- role: build-dependency
  uid: spmkdir
- role: build-dependency
  uid: spmountmgr01
- role: build-dependency
  uid: spmrsp01
- role: build-dependency
  uid: spmsgqerr01
- role: build-dependency
  uid: spmsgqerr02
- role: build-dependency
  uid: spmutex01
- role: build-dependency
  uid: spnsext01
- role: build-dependency
  uid: spobjgetnext
- role: build-dependency
  uid: sppagesize
- role: build-dependency
  uid: sppartitionerr01
- role: build-dependency
  uid: sppercpudata01
- role: build-dependency
  uid: spporterr01
- role: build-dependency
  uid: spprintk
- role: build-dependency
  uid: spprivenv01
- role: build-dependency
  uid: spprofiling01
- role: build-dependency
  uid: spqreslib
- role: build-dependency
  uid: spratemonerr01
- role: build-dependency
  uid: sprbtree01
- role: build-dependency
  uid: spregionerr01
- role: build-dependency
  uid: sprmsched01
- role: build-dependency
  uid: sprmsched02
- role: build-dependency
  uid: spscheduler01
- role: build-dependency
  uid: spsem01
- role: build-dependency
  uid: spsem02
- role: build-dependency
  uid: spsem03
- role: build-dependency
  uid: spsemerr01
- role: build-dependency
  uid: spsemerr02
- role: build-dependency
  uid: spsignalerr01
- role: build-dependency
  uid: spsimplesched01
- role: build-dependency
  uid: spsimplesched02
- role: build-dependency
  uid: spsimplesched03
- role: build-dependency
  uid: spsize
- role: build-dependency
  uid: spstdthreads01
- role: build-dependency
  uid: spstkalloc
- role: build-dependency
  uid: spstkalloc02
- role: build-dependency
  uid: spstkalloc03
- role: build-dependency
  uid: spstkalloc04
- role: build-dependency
  uid: spsysinit01
- role: build-dependency
  uid: spsyslock01
- role: build-dependency
  uid: sptaskerr01
- role: build-dependency
  uid: sptaskerr02
- role: build-dependency
  uid: sptaskerr03
- role: build-dependency
  uid: sptaskerr04
- role: build-dependency
  uid: sptasknopreempt01
- role: build-dependency
  uid: spthread01
- role: build-dependency
  uid: spthreadlife01
- role: build-dependency
  uid: spthreadq01
- role: build-dependency
  uid: sptimecounter01
- role: build-dependency
  uid: sptimecounter02
- role: build-dependency
  uid: sptimecounter03
- role: build-dependency
  uid: sptimecounter04
- role: build-dependency
  uid: sptimererr01
- role: build-dependency
  uid: sptimererr02
- role: build-dependency
  uid: sptimerserver01
- role: build-dependency
  uid: sptimespec01
- role: build-dependency
  uid: sptls01
- role: build-dependency
  uid: sptls02
- role: build-dependency
  uid: sptls03
- role: build-dependency
  uid: sptls04
- role: build-dependency
  uid: spversion01
- role: build-dependency
  uid: spwatchdog
- role: build-dependency
  uid: spwkspace
type: build
use-after:
- rtemstest
use-before: []
